## tracker-thumbnailer

tracker-thumbnailer — Request the thumbnailer service creates or updates thumbnails.

## Synopsis

    #include <libtracker-miner/tracker-miner.h>

    gboolean            tracker_thumbnailer_init            (void);
    void                tracker_thumbnailer_shutdown        (void);
    void                tracker_thumbnailer_send            (void);
    gboolean            tracker_thumbnailer_move_add        (const gchar *from_uri,
                                                             const gchar *mime_type,
                                                             const gchar *to_uri);
    gboolean            tracker_thumbnailer_remove_add      (const gchar *uri,
                                                             const gchar *mime_type);
    gboolean            tracker_thumbnailer_cleanup         (const gchar *uri_prefix);

## Description

This is a convenience API using D-Bus for creating and updating thumbnails for files being mined. It is also used to create thumbnails for album art found embedded in some medias.

This follows the thumbnailer specification: http://live.gnome.org/ThumbnailerSpec

## Details

### tracker_thumbnailer_init ()

    gboolean            tracker_thumbnailer_init            (void);

Returns : |

### tracker_thumbnailer_shutdown ()

    void                tracker_thumbnailer_shutdown        (void);

### tracker_thumbnailer_send ()

    void                tracker_thumbnailer_send            (void);

### tracker_thumbnailer_move_add ()

    gboolean            tracker_thumbnailer_move_add        (const gchar *from_uri,
                                                             const gchar *mime_type,
                                                             const gchar *to_uri);

`from_uri` : |
`mime_type` : |
`to_uri` : |
Returns : |

### tracker_thumbnailer_remove_add ()

    gboolean            tracker_thumbnailer_remove_add      (const gchar *uri,
                                                             const gchar *mime_type);

`uri` : |
`mime_type` : |
Returns : |

### tracker_thumbnailer_cleanup ()

    gboolean            tracker_thumbnailer_cleanup         (const gchar *uri_prefix);

`uri_prefix` : |
Returns : |